﻿.news-container {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;
  background-image: url("https://image-platform.leniugame.com/20260121/lyj_pc_version5/news/bg.png");
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
  flex-direction: column;
  align-items: center;
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
}

.news-container>* {
  font-family: "Microsoft YaHei";
}

/* 1. 新闻标题 */
.news-container .news-title {
  width: 14.63542vw;
  height: 3.64583vw;
  background-image: url("https://image-platform.leniugame.com/20260121/lyj_pc_version5/news/title.png");
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
  position: absolute;
  left: 18.80208vw;
  top: 9.24797vh;
}

/* 2. 轮播图区域 */
.news-container .news-swiper {
  position: relative;
  width: 62.5vw;
  height: 15.729vw;
  overflow: hidden;
  position: absolute;
  left: 18.75vw;
  top: 16.26016vh;
}

.news-container .news-swiper .news-swiper-container {
  width: 100%;
  height: 100%;
}

.news-container .news-swiper .news-swiper-container a {
  display: block;
  width: 100%;
  height: 100%;
}

.news-container .news-swiper .news-swiper-container img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.news-container .news-pagination {
  position: absolute;
  right: 18.75vw;
  top: calc(16.26016vh + 15.729vw + 1.21951vh);
  width: auto;
  height: auto;
  display: flex;
  align-items: center;
  justify-content: flex-end;
  z-index: 10;
}

.news-container .news-pagination .swiper-pagination-bullet {
  width: 0.36458vw;
  height: 0.36458vw;
  background-color: #aeaeae;
  border-radius: 50%;
  opacity: 1;
  margin: 0 0.46875vw;
}

.news-container .news-pagination .swiper-pagination-bullet-active {
  background-color: #295890;
}

/* 3. Tab + List 内容区 */
.news-container .news-content {
  width: 62.5vw;
  height: auto;
  position: absolute;
  top: 49.5vh;
  left: 18.75vw;
}

.news-container .news-header {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 1.5vw;
  padding-left: 1.6875vw;
  border-bottom: 0.05208vw solid #7d7d7d;
}

.news-container .news-header .news-header-btn {
  position: relative;
  font-size: 0.9375vw;
  color: #525253;
  cursor: pointer;
  padding: 0.78125vw 0.5vw 0.15625vw 0.5vw;
  transition: color 0.3s;
  border-bottom: 0.15625vw solid transparent;
  transform: translateY(0.07813vw);
  font-family: "Microsoft Yahei";
}


.news-container .news-header .news-header-btn:hover {
  color: #db900f;
  border-bottom: 0.15625vw solid #db900f;
}

.news-container .news-header .news-header-btn.active {
  color: #db900f;
  border-bottom: 0.15625vw solid #db900f;
}

.news-header-btn-more {
  width: 4.0885416vw;
  height: 0.9114583vw;
  cursor: pointer;
  margin-top: 1.3vh;
  display: block;
}

.news-header-btn-more img {
  width: 4.0885416vw;
  height: 0.9114583vw;
  display: block;
  object-fit: contain;
  /* 保持图片比例，不拉伸 */
  transition: opacity 0.3s;
  image-rendering: -webkit-optimize-contrast;
  image-rendering: crisp-edges;
}

.news-header-btn-more .default {
  display: block;
}

.news-header-btn-more .hover {
  display: none;
}

.news-header-btn-more:hover .default {
  display: none;
}

.news-header-btn-more:hover .hover {
  display: block;
}

.news-container .news-list-page {
  width: 100%;
  height: 17.02846vw;
  z-index: 5;
  display: flex;
  align-items: center;
  position: relative;
  overflow: hidden;
}

.news-container .news-list-page .news-list-wrapper {
  width: 100%;
  height: 100%;
  display: flex;
  transition: transform 0.5s ease;
  z-index: 5;
}

.news-container .news-list-page .news-list-container {
  width: 100%;
  height: 100%;
  flex-shrink: 0;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}

.news-container .news-list-page .news-list-container .news-tab-img {
  position: absolute;
  top: 50%;
  left: 8.33333vw;
  transform: translate(0, -50%);
  z-index: 15;
  width: 9.47917vw;
  height: 5.20833vw;
  pointer-events: none;
}

.news-container .news-list-page .news-list-container .news-tab-img img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  display: block;
}

.news-content::after {
  z-index: 2;
  width: 73.17708vw;
  height: 18.28125vw;
  content: "";
  display: block;
  background: url("https://image-platform.leniugame.com/20260121/lyj_pc_version5/news/news_bg.png") center center;
  background-size: cover;
  position: absolute;
  top: 2.39583vw;
  left: 50%;
  transform: translate(-50%, 0);
}

.news-container .news-list {
  width: 100%;
  flex-shrink: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-self: flex-start;
  padding-top: 0;
  position: relative;
  z-index: 10;
}

.news-container .news-list li {
  flex: 0 0 5.57292vw;
  width: 50%;
  padding: 0 25%;
  height: 1.30208vw;
  display: flex;
  align-items: center;
  justify-content: space-between;
  cursor: pointer;
  z-index: 5;
  margin: 0.05208vw 0;
  opacity: 0.5;
  transition: opacity 0.3s ease;
}

.news-container .news-list li:last-child {
  border-bottom: 0;
}

.news-container .news-list li.empty {
  text-align: center;
  font-size: 0.225rem;
  padding: 1rem 0;
  color: #777e88;
  border-bottom: 0;
  display: block;
  cursor: default;
}

/* li 内部左中右结构 */
.news-container .news-list li .tag {
  flex-shrink: 0;
  width: 2.60417vw;
  height: 1.30208vw;
  background-color: #5F5F5F;
  border-radius: 0.65104vw;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 0.9375vw;
  color: #fff;
  margin-right: 1.04167vw;
  transition: background-color 0.3s;
  line-height: 1.30208vw;
}

.news-container .news-list li .title {
  flex: 1;
  font-size: 0.9375vw;
  line-height: 1.5625vw;
  color: #5F5F5F;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 25.83333vw;
  margin-right: 1.04167vw;
  transition: font-size 0.3s, color 0.3s;
}

.news-container .news-list li .date {
  flex-shrink: 0;
  font-size: 0.9375vw;
  line-height: 1.5625vw;
  color: #5F5F5F;
  transition: font-size 0.3s, color 0.3s;
}

/* 聚焦状态样式 - 圆弧轮播效果 */
.news-container .news-list li.focused {
  opacity: 1;
  z-index: 10;
}

.news-container .news-list li.focused .tag {
  background-color: #1959A6;
}

.news-container .news-list li.focused .title {
  font-size: 1.04167vw;
  color: #1959A6;
}

.news-container .news-list li.focused .date {
  font-size: 1.04167vw;
  color: #1959A6;
}

/* 占位元素 */
.news-container .news-list li.placeholder {
  opacity: 0;
  pointer-events: none;
}

.news-container .news-list li .news-left {
  flex: 1;
  overflow: hidden;
}

.news-container .news-list li .content {
  font-size: 0.2rem;
  color: #8a8e95;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.news-container .news-list li .news-right {
  flex-shrink: 0;
  margin-left: 0.3rem;
  font-size: 0.2rem;
  color: #8a8e95;
}


/* 4. Tip 图片 */
.news-container .news-tip {
  width: 17.1875vw;
  height: 4.79167vw;
  background-image: url("https://image-platform.leniugame.com/20260121/lyj_pc_version5/news/mouseover.png");
  background-position: center center;
  background-repeat: no-repeat;
  background-size: contain;
  margin-top: auto;
  position: absolute;
  top: 90vh;
  left: 41.35417vw;
  animation: floatUpDown 2.8s ease-in-out infinite;
}

@keyframes floatUpDown {

  0%,
  100% {
    transform: translateY(0);
  }

  50% {
    transform: translateY(-0.125rem);
  }
}